#include <iostream>
using namespace std;

int main()
{
    int H, W;
    char P;
    cin >> H >> W;
    
    for ( int i = 0; i < H; i++)
    {
        for ( int j = 0; j < W; j++)    
        {
            cin>>P;
        }
    }
    
    
    std::cout << -1 << std::endl;
    
    
    
    
    
    return 0;
}